Index: XIOS/dev/branch_openmp/src/node/scalar.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/scalar.hpp	(revision 1556)
+++ XIOS/dev/branch_openmp/src/node/scalar.hpp	(revision 1642)
@@ -83,13 +83,10 @@
            TransMapTypes transformationMap_;
 
-           void setTransformations(const TransMapTypes&);
+            void setTransformations(const TransMapTypes&);
 
        private:
            static bool initializeTransformationMap(std::map<StdString, ETranformationType>& m);
-           static bool initializeTransformationMap();
-           static std::map<StdString, ETranformationType> *transformationMapList_ptr;
-           #pragma omp threadprivate(transformationMapList_ptr)
+           static std::map<StdString, ETranformationType> transformationMapList_;
            static bool dummyTransformationMapList_;
-           #pragma omp threadprivate(dummyTransformationMapList_)
 
 
Index: XIOS/dev/branch_openmp/src/node/temporal_splitting.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/temporal_splitting.hpp	(revision 1556)
+++ XIOS/dev/branch_openmp/src/node/temporal_splitting.hpp	(revision 1642)
@@ -59,5 +59,4 @@
       static CTransformation<CAxis>* create(const StdString& id, xml::CXMLNode* node);
       static bool _dummyRegistered;
-      #pragma omp threadprivate(_dummyRegistered)
   }; // class CTemporalSplitting
 
Index: XIOS/dev/branch_openmp/src/node/transformation_enum.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/transformation_enum.hpp	(revision 1556)
+++ XIOS/dev/branch_openmp/src/node/transformation_enum.hpp	(revision 1642)
@@ -24,5 +24,7 @@
         TRANS_DUPLICATE_SCALAR_TO_AXIS = 15,
         TRANS_REDUCE_SCALAR_TO_SCALAR = 16,
-        TRANS_REORDER_DOMAIN = 17
+        TRANS_REORDER_DOMAIN = 17,
+        TRANS_EXTRACT_DOMAIN = 18,
+        TRANS_EXTRACT_AXIS = 19
       } ETranformationType;
 
Index: XIOS/dev/branch_openmp/src/node/zoom_axis.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/zoom_axis.hpp	(revision 1556)
+++ XIOS/dev/branch_openmp/src/node/zoom_axis.hpp	(revision 1642)
@@ -60,5 +60,4 @@
       static CTransformation<CAxis>* create(const StdString& id, xml::CXMLNode* node);
       static bool _dummyRegistered;
-      #pragma omp threadprivate(_dummyRegistered)
   }; // class CZoomAxis
 
Index: XIOS/dev/branch_openmp/src/node/zoom_domain.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/node/zoom_domain.hpp	(revision 1556)
+++ XIOS/dev/branch_openmp/src/node/zoom_domain.hpp	(revision 1642)
@@ -60,5 +60,4 @@
       static CTransformation<CDomain>* create(const StdString& id, xml::CXMLNode* node);
       static bool _dummyRegistered;
-      #pragma omp threadprivate(_dummyRegistered)
   }; // class CZoomDomain
 
